%global obs_ver 0.1.9-3
%global pkgname django-picklefield
Name:           python-django-picklefield
Version:        0.3.0
Release:        2%{?dist}
Summary:        Implementation of a pickled object field

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/django-picklefield
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
# wget https://raw.github.com/gintas/django-picklefield/master/test_settings.py
Source1:        https://raw.github.com/gintas/django-picklefield/master/test_settings.py

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-django
BuildRequires:  python-six
Requires:       python-django 
Requires:       python-six

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < %{obs_ver}

%description
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.


%prep
%setup -q -n %{pkgname}-%{version}
cp %{SOURCE1} .

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
export PYTHONPATH=`pwd`:`pwd`/src
DJANGO_SETTINGS_MODULE=test_settings django-admin test picklefield


%files
%doc README
%{python_sitelib}/picklefield/
%{python_sitelib}/django_picklefield*.egg-info


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 30 2013 Matthias Runge <mrunge@redhat.com> - 0.3.0-1
- update to 0.3.0 (rhbz#1013353)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 05 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.1-1
- package renamed to python-django-picklefield
- update to version 0.2.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 08 2010 Fabian Affolter <fabian@bernewireless.net> - 0.1.9-1
- Updated to new upstream version 0.1.9

* Sat Jul 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.1.6-1
- Initial package
